%define upstream_name Mail-SPF-Test
%define upstream_version 1.001

Summary:	SPF test-suite class
Name:		perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:	%mkrel 9
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-v%{upstream_version}.tar.bz2
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(NetAddr::IP)
BuildRequires:	perl(Net::DNS)
BuildRequires:	perl(YAML)
BuildArch:	noarch

%description
Mail::SPF::Test is a class for reading and manipulating SPF test-suite data.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES LICENSE README TODO
%{perl_vendorlib}/Mail/SPF/*.pm
%{perl_vendorlib}/Mail/SPF/Test/*.pm
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-9.mga8
+ Revision: 1495534
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-8.mga7
+ Revision: 1269217
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-7.mga6
+ Revision: 1029519
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 933584
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 742839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 685322
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 512782
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 369427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 12776
- imported package perl-Mail-SPF-Test


* Mon Jan 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 489722
- use Module::Build
- use %%perl_version macro
- spec cleanup

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.001-4mdv2010.0
+ Revision: 426522
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.001-3mdv2009.0
+ Revision: 223814
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.001-2mdv2008.1
+ Revision: 180464
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.001-1mdv2008.0
+ Revision: 47039
- Import perl-Mail-SPF-Test



* Mon Jul 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.001-1mdv2008.0
- initial Mandriva package 
